#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8A,0xE9,0xBC,0xD2,0xC6,0x1D,0x1A,0xC6,0x2C,0x18,0xDD,0xDF,
		0xDE,0x33,0x16,0x1C,0xF5,0x89,0x7F,0x31,0x43,0xCC,0x44,0xBF,
		0x0F,0x17,0x72,0x51,0xCA,0x3C,0xD5,0x11,0xB1,0xB0,0xE6,0x73,
		0xED,0x20,0xC0,0xA2,0xC1,0x31,0x2F,0xBF,0x50,0xDD,0x49,0xD2,
		0xC4,0x6F,0xF6,0xD3,0x85,0xCB,0x4C,0x5F,0xAD,0x2A,0xD3,0xCD,
		0xDC,0x1A,0xCB,0xB3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
